﻿@model InsertEventViewModel

<div class="row">
    <div class="col-md-4">
        <form asp-controller="Event" asp-action="Insert" method="post">
            <h4><i class="fa fa-calendar-alt fa-fw"></i> Unesite podatke</h4>
            <hr />
            <div class="form-group">
                @Html.Label(null, "Usluga:", new { style = "font-weight:bold" })
                @{
                    var serviceOptions = new List<SelectListItem>();
                    foreach (var item in Model.AllServices)
                    {
                        serviceOptions.Add(new SelectListItem() { Text = item.Name, Value = item.ServiceId.ToString(), Disabled = false });
                    }
                }
                @Html.DropDownListFor(m => m.ServiceId,
                        new SelectList(serviceOptions, "Value", "Text"), new { @class = "form-control" })
                @Html.ValidationMessageFor(m => m.ServiceId, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label(null, "Ljubimac:", new { style = "font-weight:bold" })
                @{
                    var petOptions = new List<SelectListItem>();
                    foreach (var item in Model.AllPets)
                    {
                        petOptions.Add(new SelectListItem() { Text = $"{item.Name} (Rasa: {item.Race}; Vlasnik: {item.Owner.FirstName} {item.Owner.LastName})", Value = item.PetId.ToString(), Disabled = false });
                    }
                }
                @Html.DropDownListFor(m => m.PetId,
                        new SelectList(petOptions, "Value", "Text"), new { @class = "form-control" })
                @Html.ValidationMessageFor(m => m.PetId, "", new { @class = "text-danger" })
            </div>
            <div class="form-group input-group-sm">
                @Html.Label("Date", "Datum:", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.Date, new { type = "date", @class = "form-control datepicker", @placeholder = "Unesite datum..." })
                @Html.ValidationMessageFor(m => m.Date, "", new { @class = "text-danger" })
            </div>
            <div class="form-group input-group-sm col-xs-2">
                @Html.Label("", "Vreme:", new { style = "font-weight:bold" })<br/>
                @Html.TextBoxFor(m => m.Hours, new { @class = "form-control-sm", @placeholder = "00", @width = "10"}) :
                @Html.TextBoxFor(m => m.Minutes, new { @class = "form-control-sm", @placeholder = "00", @width = "10" })<br />
                @Html.ValidationMessageFor(m => m.Hours, "", new { @class = "text-danger" })<br />
                @Html.ValidationMessageFor(m => m.Minutes, "", new { @class = "text-danger" })
            </div>
            <button type="submit" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-check fa-sm" aria-hidden="true"></i> Sačuvaj</button>
            <a asp-controller="Home" asp-action="Index" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-danger btn-sm"><i class="fa fa-times fa-sm" aria-hidden="true"></i> Poništi</a>
        </form>
    </div>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}